curl --request GET \
--url https://api-{region}.sesametime.com/contract/v1/contracts/contracts-for-payroll \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "48bd1f1f-8082-4bd7-a185-d9bfabe6f9b8",
"firstName": "Lucas",
"lastName": "García",
"imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
"grossAnnualSalary": 25000,
"compensations": {
"generalCompensations": [
{
"compensation": "Comisiones de ventas",
"compensation_id": "91358d5f-14c7-4b89-a180-9cb145d4fe2f",
"compensation_comment": "Comment",
"compensation_status": "active",
"compensation_type": "fixed",
"salary_compensation_id": "21358d5f-14c7-4b89-a180-9cb145d4fe2f",
"recurrence": 1,
"max": 2000,
"dates": [
{
"date": "2022-07-01",
"quantity": 1000,
"id": "21358d5f-14c7-4b89-a180-9cb145d4fe2f"
}
],
"total": 2000
}
],
"payrollCompensations": [
{
"compensation": "Complemento de ventas puntual",
"compensation_id": "43218d5f-14c7-4b89-a180-9cb145d4fe2f",
"dates": [
{
"date": "2022-07-01",
"quantity": 1000,
"id": "21358d5f-14c7-4b89-a180-9cb145d4fe2f"
}
],
"quantity": 1000,
"recurrence": 1,
"salary_compensation_id": 1
}
]
},
"position": "Analista financiero",
"startDate": "2023-11-01",
"endDate": "null",
"trialPeriod": {
"quantity": 6,
"trialPeriodType": "months"
},
"currency": "EUR",
"grossMonthlySalary": 2000,
"payPeriod": {
"value": "monthly"
},
"prorated": true,
"remuneration": 2083.33,
"businessData": {
"daysWorked": 20,
"vacationDays": 1,
"remuneratedAbsences": 0,
"notRemuneratedAbsences": 0,
"absenteeismDays": 1,
"workedHolidays": 0,
"nonWorkingDaysWorked": 0,
"secondsToWork": 576000,
"overtime": 0,
"salaryId": "21358d5f-14c7-4b89-a180-9cb145d4fe2f",
"delays": 0,
"hoursBagRemunerated": 0,
"effectiveDaysWithMoreThanFiveHoursWorked": 15
},
"code": "0001",
"ssn": "123456789",
"dni": "12345678A",
"accountNumber": "ES123456789123456712312312",
"offices": [
{
"id": "21358d5f-14c7-4b89-a180-9cb145d4fe2f",
"name": "Madrid",
"address": "Calle de la piruleta, 1",
"coordinates": {
"latitude": "40.416775",
"longitude": "-3.703790"
},
"description": "Oficina principal",
"radio": 50,
"defaultEmployeesTimezone": "Europe/Madrid",
"numberEmployees": 10
}
],
"departments": [
{
"id": "21358d5f-14c7-4b89-a180-9cb145d4fe2f",
"name": "Madrid",
"numberEmployees": 0
}
],
"additionalCompensations": 333,
"extraPayCompensations": 2333,
"salaryPayments": 2,
"a3EmployeeCode": "123456"
}
],
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}Retrieve labour and contract data for payroll purposes
curl --request GET \
--url https://api-{region}.sesametime.com/contract/v1/contracts/contracts-for-payroll \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "48bd1f1f-8082-4bd7-a185-d9bfabe6f9b8",
"firstName": "Lucas",
"lastName": "García",
"imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
"grossAnnualSalary": 25000,
"compensations": {
"generalCompensations": [
{
"compensation": "Comisiones de ventas",
"compensation_id": "91358d5f-14c7-4b89-a180-9cb145d4fe2f",
"compensation_comment": "Comment",
"compensation_status": "active",
"compensation_type": "fixed",
"salary_compensation_id": "21358d5f-14c7-4b89-a180-9cb145d4fe2f",
"recurrence": 1,
"max": 2000,
"dates": [
{
"date": "2022-07-01",
"quantity": 1000,
"id": "21358d5f-14c7-4b89-a180-9cb145d4fe2f"
}
],
"total": 2000
}
],
"payrollCompensations": [
{
"compensation": "Complemento de ventas puntual",
"compensation_id": "43218d5f-14c7-4b89-a180-9cb145d4fe2f",
"dates": [
{
"date": "2022-07-01",
"quantity": 1000,
"id": "21358d5f-14c7-4b89-a180-9cb145d4fe2f"
}
],
"quantity": 1000,
"recurrence": 1,
"salary_compensation_id": 1
}
]
},
"position": "Analista financiero",
"startDate": "2023-11-01",
"endDate": "null",
"trialPeriod": {
"quantity": 6,
"trialPeriodType": "months"
},
"currency": "EUR",
"grossMonthlySalary": 2000,
"payPeriod": {
"value": "monthly"
},
"prorated": true,
"remuneration": 2083.33,
"businessData": {
"daysWorked": 20,
"vacationDays": 1,
"remuneratedAbsences": 0,
"notRemuneratedAbsences": 0,
"absenteeismDays": 1,
"workedHolidays": 0,
"nonWorkingDaysWorked": 0,
"secondsToWork": 576000,
"overtime": 0,
"salaryId": "21358d5f-14c7-4b89-a180-9cb145d4fe2f",
"delays": 0,
"hoursBagRemunerated": 0,
"effectiveDaysWithMoreThanFiveHoursWorked": 15
},
"code": "0001",
"ssn": "123456789",
"dni": "12345678A",
"accountNumber": "ES123456789123456712312312",
"offices": [
{
"id": "21358d5f-14c7-4b89-a180-9cb145d4fe2f",
"name": "Madrid",
"address": "Calle de la piruleta, 1",
"coordinates": {
"latitude": "40.416775",
"longitude": "-3.703790"
},
"description": "Oficina principal",
"radio": 50,
"defaultEmployeesTimezone": "Europe/Madrid",
"numberEmployees": 10
}
],
"departments": [
{
"id": "21358d5f-14c7-4b89-a180-9cb145d4fe2f",
"name": "Madrid",
"numberEmployees": 0
}
],
"additionalCompensations": 333,
"extraPayCompensations": 2333,
"salaryPayments": 2,
"a3EmployeeCode": "123456"
}
],
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}API token obtained from Sesame HR Dashboard > Settings > Integrations > API
Salary pay period
daily, weekly, biweekly, fortnightly, monthly Y-m-d
Y-m-d
Salary currency
EUR, MXN, USD "EUR"
Office Ids to filter employees belonging to them
Department Ids to filter employees belonging to them
Employee status
active, inactive Limit custom fields
Request a specific page
firstName asc
Suggestions